Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000169bareos-core[All Projects] directorpublic2013-05-06 12:272015-03-25 19:18
Reporterpstorz 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version12.4.3 
Target Version12.4.4Fixed in Version12.4.4 
Summary0000169: Pool Overrides are overriden by "Full Backup Pool" Directive
DescriptionIf a job has a "Full Backup Pool" Directive configured, it is not possible to override the Pool via "Pool=otherpool" in the Scheduler Run Entry.

The Pool from "Full Backup Pool" is always chosen.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
related to 0000348closed When using pool overrides a level change doesn't change the pool used 

-  Notes
(0000398)
pstorz (administrator)
2013-05-07 14:19

Works
(0000588)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 934.
(0001373)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4225.
(0001527)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 86ba62a4
Timestamp: 2013-05-06 13:18:02
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Runentry Pool Override Precedence fixed

A Pool override in a run entry has precedence over
Pool Level overrides in the job run.

If a Pool Level override is given, the Pool Level overrides
are used.

Fixes 0000169: Pool Overrides are overriden by "Full Backup Pool" Directive

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/dird/job.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
bareos: master aa236271
Timestamp: 2013-05-06 13:18:02
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Runentry Pool Override Precedence fixed

A Pool override in a run entry has precedence over
Pool Level overrides in the job run.

If a Pool Level override is given, the Pool Level overrides
are used.

Fixes 0000169: Pool Overrides are overriden by "Full Backup Pool" Directive

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/dird/ua_run.c Diff ] File ]
mod - src/dird/job.c Diff ] File ]
bareos2015: bareos-12.4 2fce5697
Timestamp: 2013-05-06 15:18:02
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Runentry Pool Override Precedence fixed

A Pool override in a run entry has precedence over
Pool Level overrides in the job run.

If a Pool Level override is given, the Pool Level overrides
are used.

Fixes 0000169: Pool Overrides are overriden by "Full Backup Pool" Directive

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/dird/job.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
bareos2015: bareos-13.2 ff0e931d
Timestamp: 2013-05-06 15:18:02
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Runentry Pool Override Precedence fixed

A Pool override in a run entry has precedence over
Pool Level overrides in the job run.

If a Pool Level override is given, the Pool Level overrides
are used.

Fixes 0000169: Pool Overrides are overriden by "Full Backup Pool" Directive

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/dird/job.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-06 12:27 pstorz New Issue
2013-05-06 14:06 mvwieringen Assigned To => mvwieringen
2013-05-06 14:06 mvwieringen Status new => acknowledged
2013-05-06 14:07 mvwieringen Status acknowledged => confirmed
2013-05-07 14:02 mvwieringen Changeset attached => bareos master 3e819cb2
2013-05-07 14:02 mvwieringen Note Added: 0000396
2013-05-07 14:02 mvwieringen Status confirmed => resolved
2013-05-07 14:02 mvwieringen Resolution open => fixed
2013-05-07 14:19 pstorz Note Added: 0000398
2013-05-07 14:19 pstorz Status resolved => closed
2013-05-07 14:19 pstorz Fixed in Version => 13.2.0
2013-05-10 14:58 pstorz Changeset attached => bareos Branch-12.4 5afc2b67
2013-05-10 14:58 pstorz Note Added: 0000410
2013-05-10 14:58 pstorz Assigned To mvwieringen => pstorz
2013-05-10 14:58 pstorz Status closed => resolved
2013-05-10 15:06 mvwieringen Status resolved => closed
2013-05-10 15:09 pstorz Fixed in Version 13.2.0 => 12.4.4
2013-05-10 15:09 pstorz Target Version => 12.4.4
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master aa236271
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 86ba62a4
2013-08-13 03:12 mvwieringen adm Note Added: 0000588
2013-08-13 03:12 mvwieringen adm Assigned To pstorz => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 09:28 mvwieringen adm Note Deleted: 0000396
2013-08-13 09:29 mvwieringen adm Note Deleted: 0000410
2013-08-13 09:29 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 09:29 mvwieringen adm Status resolved => closed
2014-10-12 11:10 mvwieringen Relationship added related to 0000348
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 2fce5697
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 ff0e931d
2015-03-25 16:51 mvwieringen Note Added: 0001373
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001527
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker